private ["_group", "_var", "_weapon", "_timer", "_static"];
_group = _this select 0; // the group 
_weapon = _this select 1; // the weapon
_var = _group getVariable "DZ_WTS_Type";

//player sidechat format ["var: %1  isNil: %2", _var, isNil "_var"];

// abort script checks
if (_var != 0 && _var != 1) exitWIth {hint "No Weapon Team Selected!!!"};
if ((_group getVariable "DZ_WTS_Deployed")) exitWith {hint "Weapon Team Already Deployed."};
if (isNil "_var") exitWIth {};

// stop group from engaging, make all units disengage, cancel any waypoints
while {(count (waypoints _group)) > 0} do
{
 deleteWaypoint ((waypoints _group) select 0);
};

// make group reform on leader
{doStop _x} foreach units _group;

sleep 1;

// play animation, disableai from moving or breaking animation
{_x playmove "AinvPknlMstpSnonWrflDnon_medic"; sleep (random 1)} foreach units _group; 
_timer = 15;

waitUntil {_timer = _timer - 1; sleep 1; _timer < 1 || !alive (leader _group)}; // waits until timer finishes or group leader was killed
{_x switchMove "";} foreach units _group;
if (!alive (leader _group)) exitWith {hint "Mortar Team failed to deploy, try again"};

// create weapon 
_static = _weapon createVehicle (getpos (leader _group));
_static setpos (getpos (leader _group));
_static setDir (formationDirection (leader _group));

// if the weapon is type MG, need to sort its magazines
if (_var == 1) then {
    private ["_mags", "_mag", "_ammo"];
    _mags = magazines _static; // get all magazines 
    _mag = _mags select 0; // get default weapon mag for the weapon 
    _ammo = _group getVariable "DZ_WTS_Ammo"; // getting ammo from variable space
    {_static removeMagazine _x} foreach _mags; // remove all magazines 
    
    hint format ["ammo: %1", _ammo];
    
    if (_ammo > 0) then {                                // still some ammo left? add it back in
        // add magazines in again based on ammo count
        for "_i" from 1 to _ammo do {
            _static addMagazine _mag;
        };
    } else {
        (leader _group) sidechat format ["%1 is out of MG ammo!", _group]; // no more ammo left
    };
};

// remove backpacks from units
{removeBackPack _x} foreach (units _group);

// order AI into weapon
(leader _group) assignasGunner _static;
(leader _group) moveinGunner _static;

// set group variable to deployed
_group setVariable ["DZ_WTS_Deployed", true];
leader _group sidechat format ["%1 Is Deployed. Standing by for orders.", _group];

0 = [_group] spawn DZ_WTS_TakeOver; // this is the recrewing procedure



