private ["_group", "_var", "_weap", "_timer"];
_group = _this select 0;
_var = _group getVariable "DZ_WTS_Type";

// abort script checks
if (_var != 0 && _var != 1) exitWIth {hint "No Weapon Team Selected!!!"};
if (!(_group getVariable "DZ_WTS_Deployed")) exitWith {hint "Weapon Team Already Packed Up."};
if (isNil "_var") exitWIth {};

_weap = 0;                                        // cant make this var private, will not recognize itself inside foreach scope, so assign a default value
{
	if (vehicle _x != _x) then {
		_weap = vehicle _x;                 // finding the weapon
	};
} foreach units _group;

sleep 1;

[gunner _weap] orderGetIn false;        // order gunner out of vehicle

sleep 2;

// play animation, disableai from moving or breaking animation
{_x playmove "AinvPknlMstpSnonWrflDnon_medic"; _x disableAI "move"; sleep (random 1)} foreach units _group; 
_timer = 15;

waitUntil {_timer = _timer - 1; sleep 1; _timer < 1 || !alive (leader _group)}; // waits for 15 seconds, or the leader being killed
{_x switchMove ""; _x enableAI "move"} foreach units _group;
if (!alive (leader _group)) exitWith {hint "Mortar Team failed to PackUp, try again"}; // if the leader was killed, the weapon hasnt been packed up successfully

// if the weapon is type MG, need to sort its magazines
if (_var == 1) then {
    private ["_mags", "_ammo"];
    _mags = count (magazines _weap); // get magazine count
    _ammo = _group getVariable "DZ_WTS_Ammo"; // getting ammo from variable space
    _ammo = _mags; // subtract values
	_group setVariable ["DZ_WTS_Ammo", _ammo];
    
    hint format ["ammo: %1", _ammo];
    
    if (_ammo < 1) then {
        (leader _group) sidechat format ["%1 is out of MG ammo!", _group]; // no more ammo left
    };
};

deleteVehicle _weap; // delete weapon

_group call DZ_WTS_BACKPACK_ADD; // add backpack to units again

{_x doMove (position _x)} foreach units _group;
waitUntil {unitReady (leader _group)};

// set group variable to not deployed
_group setVariable ["DZ_WTS_Deployed", false];
leader _group sidechat format ["%1 Is PackedUp. Standing by for orders.", _group];





